

set -ex



python -m pip check
diffoscope --list-missing-tools
pytest -vv \
  --tb=long \
  --cov=diffoscope \
  --cov-report=term-missing \
  --cov-report=term:skip-covered \
  --cov-fail-under=77 \
  --no-cov-on-fail \
  -k="not ( \
    assert_non_existing or \
    test_berkeley_db or \
    test_code_is_black_clean or \
    test_elf or \
    test_icc or \
    test_item_rdb or \
    test_macho or \
    test_rlib or \
    test_wasm or \
    test_docx or \
    (test_pdf and test_no_differences) \
  )"
exit 0
